> ## Documentation Index
> Fetch the complete documentation index at: https://developers.myhero.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove a collaborator from documents

> Removes a collaborator by `userId` from multiple documents at once.

Pass `cancelInvites: true` along with `email` to also cancel any pending invitations for that user in the affected project.

Returns a `modifiedCount` of updated documents.



## OpenAPI

````yaml post /document/remove-collaborator-many
openapi: 3.1.0
info:
  title: HERO API
  version: current
  description: |-
    The HERO REST API.

    See https://developers.myhero.so for the rendered docs.
servers:
  - url: https://app.myhero.so
security: []
paths:
  /document/remove-collaborator-many:
    post:
      tags:
        - Documents
      summary: Remove a collaborator from documents
      description: >-
        Removes a collaborator by `userId` from multiple documents at once.


        Pass `cancelInvites: true` along with `email` to also cancel any pending
        invitations for that user in the affected project.


        Returns a `modifiedCount` of updated documents.
      operationId: removeCollaboratorFromDocuments
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                documentIds:
                  type: array
                  items:
                    type: string
                    minLength: 1
                  minItems: 1
                userId:
                  type: string
                  minLength: 1
                email:
                  type: string
                  format: email
                cancelInvites:
                  type: boolean
              required:
                - documentIds
                - userId
      responses:
        '200':
          description: 200 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      success:
                        type: boolean
                        enum:
                          - true
                        example: true
                      modifiedCount:
                        type: number
                    required:
                      - success
                      - modifiedCount
                required:
                  - data
        '400':
          description: 400 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: |-
                      Error class name (e.g.

                      ValidationError, NotFound)
                  message:
                    type: string
                    description: Human-readable error message
                  details:
                    type: array
                    items: {}
                required:
                  - error
                  - message
        '403':
          description: 403 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: |-
                      Error class name (e.g.

                      ValidationError, NotFound)
                  message:
                    type: string
                    description: Human-readable error message
                  details:
                    type: array
                    items: {}
                required:
                  - error
                  - message
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: HERO personal access token

````